﻿using Microsoft.Test.CommandLineParsing;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

namespace TestThumbGen
{
    using ThumbGen;

    /// <summary>
    ///This is a test class for CommandLineParserTest and is intended
    ///to contain all CommandLineParserTest Unit Tests
    ///</summary>
    [TestClass()]
    public class CommandLineParserTest
    {
        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for ParseArguments
        ///</summary>
        [TestMethod()]
        [ExpectedException(typeof(ArgumentException))]
        public void ParseBadArgument()
        {
            ThumbGenArguments thumbGenArguments = new ThumbGenArguments();
            string[] args = new string[] { "-q:fred" };

            thumbGenArguments.ParseArguments(args);
        }

        /// <summary>
        ///A test for ParseArguments
        ///</summary>
        [TestMethod()]
        [ExpectedException(typeof(ArgumentException))]
        public void ParseBadLastArgument()
        {
            ThumbGenArguments thumbGenArguments = new ThumbGenArguments();
            string[] args = new string[] { "/i:fred", "-x" };

            thumbGenArguments.ParseArguments(args);
        }

        /// <summary>
        ///A test for ParseArguments
        ///</summary>
        [TestMethod()]
        [ExpectedException(typeof(ArgumentException))]
        public void ParseMissingValue()
        {
            ThumbGenArguments thumbGenArguments = new ThumbGenArguments();
            string[] args = new string[] { "-o", "-i" };

            thumbGenArguments.ParseArguments(args);
        }

        /// <summary>
        ///A test for ParseArguments
        ///</summary>
        [TestMethod()]
        public void TestValidArguments()
        {
            ThumbGenArguments thumbGenArguments = new ThumbGenArguments();
            string[] args = new string[] { "/o:c:\temp", "-i:fred.wmv" };

            thumbGenArguments.ParseArguments(args);
        }
    }
}
