﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ProgressEventArgs.cs" company="Microsoft Corporation">
//   Microsoft Corporation
// </copyright>
// <summary>
//   The progress event args.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace ThumbGen
{
    using System;

    /// <summary>
    /// The progress event arguments.
    /// </summary>
    public class ProgressEventArgs : EventArgs
    {
        #region Constructors and Destructors

        /// <summary>
        /// Initializes a new instance of the <see cref="ProgressEventArgs"/> class.
        /// </summary>
        /// <param name="progress">
        /// The progress from 0 to 1.
        /// </param>
        public ProgressEventArgs(double progress)
        {
            this.Progress = progress;
        }

        #endregion

        #region Public Properties

        /// <summary>
        /// Gets the Progress from 0 to 1.
        /// </summary>
        public double Progress { get; private set; }

        #endregion
    }
}