﻿// -----------------------------------------------------------------------
// <copyright file="ThumbGenArguments.cs" company="Microsoft Corporation">
// Microsoft Corporation
// </copyright>
// -----------------------------------------------------------------------

namespace ThumbGen
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Class used to hold the command line arguments to the application.
    /// </summary>
    internal class ThumbGenArguments
    {
        /// <summary>
        /// Gets or sets the input filename of the media file to extract the thumbnails from.
        /// </summary>
        public string I { get; set; }

        /// <summary>
        /// Gets or sets the output directory where the thumbnails will be saved.
        /// </summary>
        public string O { get; set; }

        /// <summary>
        /// Gets or sets the interval between thumbnails in seconds.
        /// </summary>
        public double? Interval { get; set; }

        /// <summary>
        /// Gets or sets the width for each thumbnail.
        /// </summary>
        public int? Width { get; set; }

        /// <summary>
        /// Gets or sets the format of the thumbnail. "JPG" or "PNG".
        /// </summary>
        public string Format { get; set; }

        /// <summary>
        /// Gets or sets the name to use as the prefix for the thumbnail filename.
        /// </summary>
        public string Name { get; set; }
    }
}
